Skip to main content
GET
/
api
/
inventory-items
List inventory items
curl --request GET \
  --url https://app.solya.app/api/inventory-items \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "code": "NK-AM90-WHT-42",
      "createdAt": "2024-03-01T09:00:00.000Z",
      "displayName": "Air Max 90 White / 42",
      "fullName": "Nike Air Max 90 White — Size 42 — Paris Opéra",
      "id": "inv-item-uuid-1",
      "shopId": "shop-uuid-1",
      "sku": "NK-AM90-WHT-42",
      "taxonomySizeId": "size-uuid-42",
      "updatedAt": "2026-05-10T14:22:00.000Z",
      "variantId": "variant-uuid-a"
    },
    {
      "code": "NK-AM90-WHT-43",
      "createdAt": "2024-03-01T09:00:00.000Z",
      "displayName": "Air Max 90 White / 43",
      "fullName": "Nike Air Max 90 White — Size 43 — Paris Opéra",
      "id": "inv-item-uuid-2",
      "shopId": "shop-uuid-1",
      "sku": "NK-AM90-WHT-43",
      "taxonomySizeId": "size-uuid-43",
      "updatedAt": "2026-05-10T14:22:00.000Z",
      "variantId": "variant-uuid-b"
    }
  ],
  "page": 1,
  "pageSize": 20,
  "total": 347
}

Authorizations

Authorization
string
header
required

User session token issued by NextAuth. For human users accessing Solya via the web application.

Query Parameters

page
integer
default:1

Page number, 1-indexed (default: 1)

Required range: 1 <= x <= 9007199254740991
pageSize
integer
default:20

Number of items per page, max 100 (default: 20)

Required range: 1 <= x <= 100
q
string

Case-insensitive substring search query

variantId
string

Filter by variant ID

shopId
string

Filter by shop ID

brandId
string

Filter by brand ID

supplierId
string

Filter by supplier ID (linked via order lines)

collectionId
string

Filter by collection ID (linked via product variant)

Response

Successful response

data
object
required
success
enum<boolean>
required
Available options:
true